%define prerel 0
%define date 20130523

%define qtmajor 5
%define qtminor 4
%define qtsubminor 2

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtwebsockets %mklibname qtwebsockets %qtmajor
%define libqtwebsockets_d %mklibname qtwebsockets  %qtmajor -d
%define libqtwebsockets_p_d %mklibname qt5websockets-private -d

%if %prerel
%define qttarballdir qtwebsockets-opensource-src-%{qtversion}
%else
%define qttarballdir qtwebsockets-opensource-src-%{qtversion}
%endif

Name: qtwebsockets5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %{version}
BuildRequires: qt5core-private-devel = %{version}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
QtWebSockets is a pure Qt implementation of WebSockets - both client and
server.
It is implemented as a Qt add-on module, that can easily be embedded into
existing Qt projects. It has no other dependencies than Qt.

#------------------------------------------------------------------------------

%package -n %{libqtwebsockets}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtwebsockets}
Qt%{qtmajor} Component Library.

QtWebSockets is a pure Qt implementation of WebSockets - both client and
server.

%files -n %{libqtwebsockets}
%{_qt5_libdir}/libQt5WebSockets.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtwebsockets_d}
Summary: Devel files needed to build apps based on QtWebSockets
Group:    Development/KDE and Qt
Requires: %{libqtwebsockets} = %version
Requires: qtbase5-common-devel = %{version}
Provides: libqtwebsockets5-devel = %version
Provides: qtwebsockets5-devel = %version

%description -n %{libqtwebsockets_d}
Devel files needed to build apps based on QtWebSockets.

%files -n %{libqtwebsockets_d}
%{_qt5_libdir}/libQt5WebSockets.prl
%{_qt5_libdir}/libQt5WebSockets.so
%{_qt5_libdir}/pkgconfig/Qt5WebSockets.pc
%{_qt5_includedir}/QtWebSockets
%exclude %{_qt5_includedir}/QtWebSockets/%qtversion
%{_qt5_libdir}/cmake/*
%{_qt5_datadir}/mkspecs/modules/*
%{_qt5_examplesdir}/*

#------------------------------------------------------------------------------

%package -n %{libqtwebsockets_p_d}
Summary: Devel files needed to build apps based on QtWebSockets
Group:    Development/KDE and Qt
Requires: %{libqtwebsockets_d} = %version
Provides: libqtwebsockets5-private-devel = %version
Provides: libqt5websockets-private-devel = %version
Provides: qtwebsockets5-private-devel = %version
Provides: qt5websockets-private-devel = %version
Requires: qt5core-private-devel = %version

%description -n %{libqtwebsockets_p_d}
Devel files needed to build apps based on QtWebSockets.

%files -n %{libqtwebsockets_p_d}
%{_qt5_includedir}/QtWebSockets/%qtversion

#------------------------------------------------------------------------------

%prep
%if %prerel
%setup -q -n %qttarballdir
%else
%setup -q -n %qttarballdir
%endif

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
make INSTALL_ROOT=$RPM_BUILD_ROOT install

install -d %{buildroot}/%{_qt5_docdir}

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a



%changelog
* Wed Jul 01 2015 filipesaraiva <filipesaraiva> 5.4.2-1.mga5
+ Revision: 849371
- Update to Qt 5.4.2;

* Wed Dec 17 2014 fwang <fwang> 5.4.0-1.mga5
+ Revision: 803758
- 5.4.0

* Mon Dec 08 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 802211
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-4.mga5
+ Revision: 748593
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 738102
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-2.mga5
+ Revision: 639794
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-2.mga5
+ Revision: 624055
- bump rel
- update url
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-1.rc.1.mga5
+ Revision: 621491
- 5.3.0 rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-1.beta.1.mga5
+ Revision: 612352
- 5.3.0beta

* Fri Mar 21 2014 fwang <fwang> 5.3.0-1.alpha.1.mga5
+ Revision: 606355
- update package name
- update file list
- imported package qtwebsockets5

